<template>
    <q-item :disable="disable">
        <q-item-section>
            <q-item-label> {{ label }}</q-item-label>
            <q-item-label caption>{{ caption }}</q-item-label>
            <q-slider
                :value="value"
                @input="$emit('input', $event)"
                :disable="disable"
                markers
                label :min="min" :max="max" :step="step"/>
        </q-item-section>
    </q-item>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';

@Component
export default class SliderSetting extends Vue {
    @Prop() label!: string
    @Prop() caption!: string;
    @Prop() value!: boolean;
    @Prop() disable!: boolean;
    @Prop() min!: number;
    @Prop() max!: number;
    @Prop() step!: number;
}
</script>

<style lang='scss' scoped>

</style>
